Skip to main content
PATCH
/
collections
/
{collectionName}
cURL
curl --request PATCH \
  --url https://{projectHost}/collections/{collectionName} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "indexConfigs": {
    "example-field1": {
      "type": "text",
      "analyzers": [
        "english"
      ]
    },
    "example-field2": {
      "type": "vector",
      "dimensions": 128,
      "similarity": "cosine"
    },
    "example-field3": {
      "type": "keyword"
    }
  }
}
'
import requests

url = "https://{projectHost}/collections/{collectionName}"

payload = { "indexConfigs": {
        "example-field1": {
            "type": "text",
            "analyzers": ["english"]
        },
        "example-field2": {
            "type": "vector",
            "dimensions": 128,
            "similarity": "cosine"
        },
        "example-field3": { "type": "keyword" }
    } }
headers = {
    "x-api-key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    indexConfigs: {
      'example-field1': {type: 'text', analyzers: ['english']},
      'example-field2': {type: 'vector', dimensions: 128, similarity: 'cosine'},
      'example-field3': {type: 'keyword'}
    }
  })
};

fetch('https://{projectHost}/collections/{collectionName}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "collection": {
    "projectName": "example-project-name",
    "collectionName": "example-collection-name",
    "indexConfigs": {
      "example-field1": {
        "type": "text",
        "analyzers": [
          "english"
        ]
      },
      "example-field2": {
        "type": "vector",
        "dimensions": 128,
        "similarity": "cosine"
      },
      "example-field3": {
        "type": "keyword"
      }
    },
    "numDocs": 1000,
    "collectionStatus": "ACTIVE"
  }
}
{
  "message": "Invalid request"
}
{
  "message": "Authentication failed"
}
{
  "message": "Resource not found"
}
{
  "message": "Too many requests"
}
{
  "message": "Internal server error"
}

Authorizations

x-api-key
string
header
required

Project API Key.

Path Parameters

collectionName
string
required

Collection name.

Body

application/json
indexConfigs
IndexConfigs · object
required

Response

Updated collection

collection
CollectionResponse · object
required